Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.replacer
Class DirectoryReplacer

    java.lang.Object
      com.ejie.r01f.replacer.DirectoryReplacer

All Implemented Interfaces:
  DirectoryWalkerEventListener

public class DirectoryReplacer
extends java.lang.Object
implements DirectoryWalkerEventListener

Cambia las hojas de estilo a todos los ficheros de un directorio y sus subdirectorios

Constructor Summary
`DirectoryReplacer(ReplaceEventListener eventListener)` Constructor vacio

Method Summary
`void` | `doReplace(java.util.Map context, java.lang.String dir, java.lang.String fileFilterExpr, CharSequenceReplacer charReplacer, FileReplacer fileReplacer)` Ejecuta el filtrado que básicamente recorre los ficheros del directorio y realiza el remplazado
`void` | `enteringDirectory(java.io.File theDirectory)` Evento de entrada a un directorio
`void` | `exitingDirectory(java.io.File theDirectory)` Evento de salida de un directorio
`void` | `file(java.io.File theFile)` Evento de fichero encontrado

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryReplacer

    public DirectoryReplacer(ReplaceEventListener eventListener)

  Constructor vacio

Method Detail

### enteringDirectory

    public void enteringDirectory(java.io.File theDirectory)

  Evento de entrada a un directorio

  Specified by:
    `enteringDirectory` in interface `DirectoryWalkerEventListener`

### exitingDirectory

    public void exitingDirectory(java.io.File theDirectory)

  Evento de salida de un directorio

  Specified by:
    `exitingDirectory` in interface `DirectoryWalkerEventListener`

### file

    public void file(java.io.File theFile)

  Evento de fichero encontrado

  Specified by:
    `file` in interface `DirectoryWalkerEventListener`

### doReplace

    public void doReplace(java.util.Map context,
                          java.lang.String dir,
                          java.lang.String fileFilterExpr,
                          CharSequenceReplacer charReplacer,
                          FileReplacer fileReplacer)

  Ejecuta el filtrado que básicamente recorre los ficheros del directorio y realiza el remplazado

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD